v_mix: XVMix_LayerIntfType Struct Reference

| v_mix Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVMix_LayerIntfType Struct Reference

This typedef contains Interface Type per layer. More...

## Data Fields
u8 | Layer1IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer2IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer3IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer4IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer5IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer6IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer7IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer8IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer9IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer10IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer11IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer12IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer13IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer14IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer15IntfType
| Layer Interface type (Memory/Stream) More...
u8 | Layer16IntfType
| Layer Interface type (Memory/Stream) More...

## Detailed Description

This typedef contains Interface Type per layer.

## Field Documentation

u8 XVMix_LayerIntfType::Layer10IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer11IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer12IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer13IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer14IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer15IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer16IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer1IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer2IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer3IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer4IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer5IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer6IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer7IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer8IntfType

Layer Interface type (Memory/Stream)

u8 XVMix_LayerIntfType::Layer9IntfType

Layer Interface type (Memory/Stream)